/**
 * SiteLockSyncElement
 * 探索ロックを経路決定ノード〜経路ナビゲータ間で同期させるための，差分情報
 */
package org.logical_paradox.rss.router;


public class SiteLockSyncElement extends SiteLock {
	public static final int SYNC_LOCK = 1;				// 差分情報の種類 - ロック取得
	public static final int SYNC_UNLOCK = 2;			// 差分情報の種類 - ロック解除

	private int _diffkind = SYNC_LOCK;

	/*
	 * コンストラクタ
	 */
	public SiteLockSyncElement( String dn, String id ) {
		super( dn, id );
	}

	public SiteLockSyncElement( SiteLock l, int k ) {
		super( l.getSiteName(), l.getRobotId() );

		// オブジェクトの状態をコピー
		gc = l.gc;
		lastUpdateTime = l.lastUpdateTime;

		_diffkind = k;
	}

	public void setDiffKind( int dk ) {
		_diffkind = dk;
	}
	public int getDiffKind() {
		return _diffkind;
	}
}

// end of SiteLockSyncElement.java
